Vai alla pagina 1Vai alla pagina 012Vai alla pagina 2Vai alla pagina 2
Avatar
PaoloB
Moderatore
Post: 1550
:) tutto bene, grazie :lol:


In questi giorni mi è capitato di dover aggiornare un sito semi abbandonato che montava ancora una versione 2.5, uno dei miei primi siti....
Nulla di particolare, poche estensioni...

L'ho portato ad una 2.9.1 facendo i vari passaggi intermedi... 2.6, 2.7,2.8 ed infine 2.9.1
Tutto liscio come l'olio...
Solo un paio di css da sistemare... :) sono soddisfazioni

I :love: Contao
Paolo B.
paolob@contaocms.it
12/08/2010 11:39
Avatar
desperados
Post: 274
cioè non hai caricato la 2.9.1 subito, ma caricato e installato i vari rilasci uno alla volta?
buono a sapersi
12/08/2010 12:45
Avatar
PaoloB
Moderatore
Post: 1550
icondesperados:
cioè non hai caricato la 2.9.1 subito, ma caricato e installato i vari rilasci uno alla volta?


Esattamente...
Il salto mi sembrava eccessivo... ci sono stati degli stravolgimenti enormi dalla 2.5 alla 2.91... non me la sono sentita di rischiare...

Poi avevo letto nel changelog della 2.9.1 questo..
Fixed: the version 2.9 database update failed when upgrading from version 2.6
e mi ero detto..." ma chi mai sarà quel patacca che deve aggiornare una versione così vecchia?!"

:) beh... uno è qua... :P
[L'ultima modifica di paolob, 05/04/2011 10:45]
Paolo B.
paolob@contaocms.it
12/08/2010 12:59
Avatar
Samu79
Post: 225
Paolo, riapro questa discussione per chiederti se hai fatto tutto a mano sovrascrivendo le cartelle.
Samuele
05/04/2011 10:44
Avatar
paolob
Moderatore
Post: 1550
iconSamu79:
Paolo, riapro questa discussione per chiederti se hai fatto tutto a mano sovrascrivendo le cartelle.


Si, confermo.
Faccio spesso aggiornamenti delle versioni, tutto manualmente.

Gli accorgimenti che occorre tenere presenti sono:

- Template personalizzati che possono essere cambiati
- Plug in aggiornati, es. TinyMCE
- Non soprascrivere il file /system/config/localconfig.php solo perchè poi li si deve ridigitare in fase di upgrade
Paolo B.
paolob@contaocms.it
05/04/2011 10:48
Avatar
visionecreativa
Post: 226
L'aggiornamento è molto semplice come dice Paolo comunque io sto utilizzando con soddisfazione il servizio di Live Update.

A volte mi trovo fuori per lavoro e lo faccio anche tramite l'Ipad cliccando semplicemente un tasto...

Visto il costo veramente basso ho la possibilità di tenere aggiornati molti portali molto velocemente...

Fai dei test con dei siti di prova e vedi se ti trovi bene con il manuale altrimenti fatti un bel Live Update e non ci pensi più.

;)
Maurizio A.
www.visionecreativa.com
www.contaotutorial.com
05/04/2011 12:39
Avatar
Samu79
Post: 225
Ok. Il processo sembra comunque delicato.
So che posso apparire paranoico, ma io lavoro su Mac. C'è pericolo che non venga fatto un replace ma che vengano cancellati anche tutti i file non sovrascritti?

Samuele
05/04/2011 12:44
Avatar
paolob
Moderatore
Post: 1550
Secondo me nessun pericolo se il webserver funziona correttamente.

Per la paura di perdere qualcosa.... backup :)
Paolo B.
paolob@contaocms.it
05/04/2011 12:47
Avatar
visionecreativa
Post: 226
Anch'io lavoro da più di 15 anni su Mac non ti vergognare...:P

Utilizzo Coda che va alla grande. Comunque prima ti fai un bel backup e stai sicuro.

Se non hai dimestichezza comunque considera un bel Live Update.
Maurizio A.
www.visionecreativa.com
www.contaotutorial.com
05/04/2011 12:50
Avatar
Samu79
Post: 225
Che a basso costo mi garantisce update...
05/04/2011 12:57
Avatar
visionecreativa
Post: 226
Maurizio A.
www.visionecreativa.com
www.contaotutorial.com
05/04/2011 13:03
Avatar
Samu79
Post: 225
Ok ordinato. Ma te lo spediscono! :w00t:
05/04/2011 13:14
Avatar
Samu79
Post: 225
Ovviamente no. Ti inviano un coupon via mail :lol:
Grazie a tutti

Per la cronaca: eseguito con pieno successo un up da Typolight 2.5 a Contao 2.9.4...
11/04/2011 01:00
Avatar
gianluca
Post: 160
Ciao a tutti,
anche io ho la necessità di aggiornare un sito fatto con typolight. La mappa di google non è supportata!

Nel backend non viene scritta la versione attuale, come nei recenti contao. Quando cerco di installare una estensione mi dice non supportata per 2.8.1 << è quindi questa la mia versione?
In tal caso, dove trovo i vari passaggi intermedi delle versioni, per sovrascrivere manualmente i file come hai fatto tu Paolob?
La procedura inoltre è semplice vero? Sovrascrivo i file di typolight con quelli nuovi tranne che per il localconfig.php e template personali..

Grazie.
27/01/2012 10:30
Avatar
Abisem
Post: 211
Ti consiglio anche io di provare il servizio Live Update: io fino ad ora l'ho usato solo per aggiornare da 2.10.3 a 2.10.4, ma permette di scegliere la versione a cui aggiornare il CMS, ti mostra l'elenco dei file che verranno modificati e ti crea in automatico un backup di quelli cambiati.
Pluralitas non est ponenda sine necessitate.
27/01/2012 11:39
Vai alla pagina 1Vai alla pagina 012Vai alla pagina 2Vai alla pagina 2